(define-module (system clients ci)
  #:use-module (gnu)
  #:use-module (gnu packages ci)
  #:use-module (gnu services cuirass)
  #:use-module (system base-system)
  #:export (ci-operating-system))

(define ci-operating-system
  (operating-system
    (inherit base-server-system)
    (host-name "ci")
    (packages (append (list cuirass) %metznet-server-packages))
    (services (append (list
                        (service cuirass-service-type
                                 (cuirass-configuration
                                   (specifications #~(list (specification
                                                             (name "metznet-channel")
                                                             (build '(channels metznet-channel))
                                                             (channels
                                                               (cons (channel
                                                                       (name 'metznet-channel)
                                                                       (url "git://git.metznet.ca:metznet-channel.git"))
                                                                     %default-channels)))))))) %metznet-server-services))
    (file-systems
      (cons* (file-system
               (mount-point "/boot/efi")
               (device (uuid "6E88-FE62" 'fat32))
               (type "vfat"))
             (file-system
               (mount-point "/")
               (device
                 (uuid "ba93a043-9e58-466f-b90f-bf2a6bbf91fe"
                       'ext4))
               (type "ext4"))
             %base-file-systems))))

ci-operating-system
